TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

LLL ( elt-alg^mat X ) -> elt-alg^mat, elt-alg^mat, elt-ord^rat

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 3
Method | string |  | "FP" or "FPIntegral" or "Integral"
Delta | elt-rng |  |
InitialDelta | elt-rng |  |
DeltaSteps | elt-ord^rat |  |
FPBlock | elt-ord^rat |  |
StepLimit | elt-ord^rat |  |
TimeLimit | elt-rng |  |
Sort | elt-alg^boo |  |
UseGram | elt-alg^boo |  |
Large | elt-alg^boo |  |
UnderflowCheck | elt-alg^boo |  |
InitialSort | elt-alg^boo |  |

### Description

<shortdoc> Return a matrix L whose rows are a LLL reduced basis for the lattice (over a real subring) spanned by the rows of X together with a unimodular matrix T over Z such that L = T * X, and the rank of X. </shortdoc>

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack